#include "CObjMessageResize.h"


/* Constructeur */
CObjMessageResize::CObjMessageResize(int direction, int minOffset, int maxOffset, int redrawobject)
				  :CObjMessage(LINK_RESIZE, redrawobject)
{
	this->direction = direction;
	this->minOffset = minOffset;
	this->maxOffset = maxOffset;
}

/* Destructeur */
CObjMessageResize::~CObjMessageResize()
{
	0;
}


/* Retourne la direction du resize */
int CObjMessageResize::GetDirection()
{
	return (this->direction);
}

/* Retourne la valeur de l'écart du resize sur la borne inférieure */
int CObjMessageResize::GetMinOffset()
{
	return (this->minOffset);
}

/* Retourne la valeur de l'écart du resize sur la borne supérieure */
int CObjMessageResize::GetMaxOffset()
{
	return (this->maxOffset);
}